﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;


namespace _22pojecieFunkcji
{
    public partial class Form1 : Form
    {
        float a = 0, b = 0, wynik = 0;

        void sumaBezArgumentowa()
        {
            //metoda nie zwraca wyniku, a przypisuje do istnejącej zmiennej
            wynik = a + b;
        }

        void sumaArgumentowa(float arg1, float arg2)
        {
            //metoda nie zwraca wyniku, pracuje na argumentach zewnętrznych i przypisuje wynik do istniejącej zmiennej
            wynik= arg1 + arg2;
        }

        float suma(float arg1, float arg2)
        {
            //metoda zwraca wynik, pracuje na argumentach zewnętrznych
            return arg1 + arg2;
        }


        private void button1_Click(object sender, EventArgs e)
        {
            //wykonanie metody bezargumentowej i niezwracjącej typu
            a = (float)Convert.ToDouble(textBox1.Text);
            b = (float)Convert.ToDouble(textBox2.Text);
            sumaBezArgumentowa();
            string s = a.ToString() + "+" + b.ToString() + "=" + wynik.ToString();
            MessageBox.Show(s, "Wynik wykonania sumaBezArgumentowa", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void textBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == 8 || e.KeyChar==',') return;//wyskocz na BackSpace
            if (e.KeyChar < '0' || e.KeyChar > '9') e.Handled = true;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //wykonanie metody argumentowej i niezwracjącej typu
            a = (float)Convert.ToDouble(textBox1.Text);
            b = (float)Convert.ToDouble(textBox2.Text);
            sumaArgumentowa(a,b);
            string s = a.ToString() + "+" + b.ToString() + "=" + wynik.ToString();
            MessageBox.Show(s, "Wynik wykonania sumaArgumentowa niezwracającej typu", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        string uniwersalna(object sender ,float arg1, float arg2)
        {
            Button bt =sender as Button;
            string s="";
            switch (bt.Tag)
            {
                case "+" : s = arg1.ToString() + "+" + arg2.ToString() + "=" + (arg1 + arg2).ToString(); break;
                case "-" : s = arg1.ToString() + "-" + arg2.ToString() + "=" + (arg1 - arg2).ToString(); break;
                default: s = "";break;
            }
            return s;
        }
        private void button4_Click(object sender, EventArgs e)
        {
            MessageBox.Show(uniwersalna(sender, (float)Convert.ToDouble(textBox1.Text), (float)Convert.ToDouble(textBox2.Text)),
                            "Komunikat",
                            MessageBoxButtons.OK,
                            MessageBoxIcon.Information);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //wykonanie metody argumentowej i zwracjącej typ
            a = (float)Convert.ToDouble(textBox1.Text);
            b = (float)Convert.ToDouble(textBox2.Text);
            wynik = suma(a, b);
            string s = a.ToString() + "+" + b.ToString() + "=" + wynik.ToString();
            MessageBox.Show(s, "Wynik wykonania suma zwracającej typ", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }


        public Form1()
        {
            InitializeComponent();
        }
    }
}
